# studio::StateBLine Class Reference

`#include <state_bline.h>`

List of all members.

## Public Member Functions

| StateBLine ()
| ~StateBLine ()

## Constructor & Destructor Documentation

StateBLine::StateBLine | ( |  | ) |

References studio::EVENT_LAYER_SELECTION_CHANGED, studio::EVENT_REFRESH, studio::EVENT_REFRESH_DUCKS, studio::EVENT_REFRESH_TOOL_OPTIONS, studio::EVENT_STOP, studio::EVENT_WORKAREA_MOUSE_BUTTON_DOWN, studio::EVENT_WORKAREA_MOUSE_BUTTON_DRAG, studio::EVENT_WORKAREA_MOUSE_BUTTON_UP, and studio::EVENT_WORKAREA_MOUSE_MOTION.

StateBLine::~StateBLine | ( |  | ) |

The documentation for this class was generated from the following files:

- state_bline.h
- state_bline.cpp